SystemOrganization addCategory: #ConfigurationOfVidi!

Object subclass: #ConfigurationOfVidi
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfVidi'!

!ConfigurationOfVidi commentStamp: 'YuriyTymchuk 6/6/2014 11:25' prior: 0!
Visual defect inspector!

!ConfigurationOfVidi class methodsFor: 'private' stamp: 'YuriyTymchuk 6/6/2014 11:19'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfVidi class methodsFor: 'gitfiletree support' stamp: 'YuriyTymchuk 6/6/2014 11:19'!
ensureGitFileTree
	"And all related dependencies."

	Smalltalk
		at: #MCFileTreeGitRepository
		ifAbsent: [ 
			Gofer new
				url: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main';
				configurationOf: 'GitFileTree';
				loadDevelopment ]! !

!ConfigurationOfVidi class methodsFor: 'private' stamp: 'YuriyTymchuk 6/6/2014 11:19'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfVidi class methodsFor: 'metacello tool support' stamp: 'YuriyTymchuk 6/6/2014 11:19'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfVidi class methodsFor: 'metacello tool support' stamp: 'YuriyTymchuk 6/6/2014 11:19'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfVidi class methodsFor: 'loading' stamp: 'YuriyTymchuk 6/6/2014 11:19'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfVidi class methodsFor: 'unloading Metacello' stamp: 'YuriyTymchuk 6/6/2014 11:19'!
loadDevelopment

	^(self project version: #development) load! !

!ConfigurationOfVidi class methodsFor: 'unloading Metacello' stamp: 'YuriyTymchuk 11/25/2014 16:27'!
loadStable

	^(self project version: #stable) load! !

!ConfigurationOfVidi class methodsFor: 'metacello tool support' stamp: 'YuriyTymchuk 6/6/2014 11:19'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfVidi class methodsFor: 'accessing' stamp: 'YuriyTymchuk 6/6/2014 11:19'!
project

	^self new project! !

!ConfigurationOfVidi class methodsFor: 'unloading Metacello' stamp: 'YuriyTymchuk 6/6/2014 11:19'!
unloadMetacello

	Smalltalk at: #ConfigurationOfMetacello ifPresent: [:cls | cls unloadMetacello ]! !

!ConfigurationOfVidi methodsFor: 'baselines' stamp: 'YuriyTymchuk 6/25/2014 10:01'!
baseline01: spec
	<version: '0.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'github://Uko/Vidi:master'.

		spec
			package: 'Vidi' with: [
				spec requires: #('Roassal' 'Roassal2' 'CodeCity-Spec' 'Yen3DTarea2') ].
			
		spec
			package: 'Yen3DTarea2' with: [
				spec repository: 'http://smalltalkhub.com/mc/fcohaf/CityBuilder/main'.
				spec requires: #('Roassal3D') ].
		
		spec project: 'Roassal' with: [
			spec 
				className: 'ConfigurationOfRoassal';
				repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal/main';
				version: #development ].
			
		spec project: 'Roassal2' with: [
			spec 
				className: 'ConfigurationOfRoassal2';
				repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main';
				version: #development ].
			
		spec project: 'Roassal3D' with: [
			spec 
				className: 'ConfigurationOfRoassal3d';
				repository: 'http://smalltalkhub.com/mc/ronsaldo/roassal3d/main';
				version: #development ].

		spec project: 'CodeCity-Spec' with: [
			spec 
				className: 'ConfigurationOfCCSpec';
				repository: 'http://smalltalkhub.com/mc/YuriyTymchuk/Configuration/main';
				version: #development ] ]! !

!ConfigurationOfVidi methodsFor: 'baselines' stamp: 'YuriyTymchuk 7/11/2014 17:19'!
baseline02: spec
	<version: '0.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'github://Uko/Vidi:master'.

		spec
			package: 'Vidi' with: [
				spec requires: #('Yen3DTarea2' 'Renraku') ].
			
		
		spec project: 'Renraku' with: [
			spec 
				className: 'ConfigurationOfRenraku';
				repository: 'http://smalltalkhub.com/mc/YuriyTymchuk/Configuration/main';
				version: #development ].
		
			
		spec
			package: 'Yen3DTarea2' with: [
				spec repository: 'http://smalltalkhub.com/mc/fcohaf/CityBuilder/main'.
				spec requires: #('Roassal3D') ].

		spec project: 'Roassal3D' with: [
			spec 
				className: 'ConfigurationOfRoassal3d';
				repository: 'http://smalltalkhub.com/mc/ronsaldo/roassal3d/main';
				version: #development ] ]! !

!ConfigurationOfVidi methodsFor: 'as yet unclassified' stamp: 'YuriyTymchuk 10/27/2014 15:39'!
baseline031: spec
	<version: '0.3.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'github://Uko/Vidi:master'.

		spec
			package: 'Vidi' with: [
				spec requires: #('Renraku' 'Roassal2' 'Roassal3D' 'Epicea' 'GLMRoassal2') ].

		spec postLoadDoIt: #setGt.			
		
		spec project: 'Renraku' with: [
			spec 
				className: 'ConfigurationOfRenraku';
				repository: 'http://smalltalkhub.com/mc/YuriyTymchuk/Configuration/main';
				version: #development ].

		spec project: 'Roassal3D' with: [
			spec 
				className: 'ConfigurationOfRoassal3d';
				repository: 'http://smalltalkhub.com/mc/ronsaldo/roassal3d/main';
				version: #development ] .
		
		spec project: 'Roassal2' with: [
			spec
				className: 'ConfigurationOfRoassal2';
				version: #development;
				repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main' ].
				
		spec project: 'Epicea' with: [
			spec
				className: 'ConfigurationOfEpicea';
				version: #development;
				repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main' ].
			
				
		spec project: 'GLMRoassal2' with: [ 
			spec
				className: 'ConfigurationOfGlamour';
				version: #development;
				loads: #('Roassal2');
				repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main' ] ]! !

!ConfigurationOfVidi methodsFor: 'as yet unclassified' stamp: 'YuriyTymchuk 11/12/2014 16:28'!
baseline032: spec
	<version: '0.3.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'github://Uko/Vidi:master'.

		spec
			package: 'Vidi' with: [
				spec requires: #('Renraku' 'Roassal2' 'Roassal3D' 'Epicea' 'Glamour') ].

		spec postLoadDoIt: #setGt.			
		
		spec project: 'Renraku' with: [
			spec 
				className: 'ConfigurationOfRenraku';
				repository: 'http://smalltalkhub.com/mc/YuriyTymchuk/Configuration/main';
				version: #development ].

		spec project: 'Roassal3D' with: [
			spec 
				className: 'ConfigurationOfRoassal3d';
				repository: 'http://smalltalkhub.com/mc/ronsaldo/roassal3d/main';
				version: #development ] .
		
		spec project: 'Roassal2' with: [
			spec
				className: 'ConfigurationOfRoassal2';
				version: #development;
				repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main' ].
				
		spec project: 'Epicea' with: [
			spec
				className: 'ConfigurationOfEpicea';
				version: #development;
				repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main' ].
				
		spec project: 'Glamour' with: [ 
			spec
				className: 'ConfigurationOfGlamour';
				version: #development;
				repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main' ] ]! !

!ConfigurationOfVidi methodsFor: 'as yet unclassified' stamp: 'YuriyTymchuk 1/29/2015 17:18'!
baseline033: spec
	<version: '0.3.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'github://Uko/Vidi:master'.

		spec
			package: 'Vidi' with: [
				spec requires: #('Renraku' 'Roassal2' 'Roassal3D' 'Epicea' 'GTI' 'GTP' 'GTSP') ].
			
		
		spec project: 'Renraku' with: [
			spec 
				className: 'ConfigurationOfRenraku';
				repository: 'http://smalltalkhub.com/mc/YuriyTymchuk/Configuration/main';
				version: #development ].

		spec project: 'Roassal3D' with: [
			spec 
				className: 'ConfigurationOfRoassal3d';
				repository: 'http://smalltalkhub.com/mc/ronsaldo/roassal3d/main';
				version: #development ] .
		
		spec project: 'Roassal2' with: [
			spec
				className: 'ConfigurationOfRoassal2';
				version: #development;
				repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main' ].
				
		spec project: 'Epicea' with: [
			spec
				className: 'ConfigurationOfEpicea';
				version: #development;
				repository: 'http://smalltalkhub.com/mc/MartinDias/Epicea/main' ].
			
		spec project: 'GTI' with: [ 
			spec
				className: 'ConfigurationOfGTInspector';
				version: #development;
				repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main' ].
			
		spec project: 'GTP' with: [ 
			spec
				className: 'ConfigurationOfGTPlayground';
				version: #development;
				repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main' ].
			
		spec project: 'GTSP' with: [ 
			spec
				className: 'ConfigurationOfGTSpotter';
				version: #development;
				repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main' ] ]! !

!ConfigurationOfVidi methodsFor: 'as yet unclassified' stamp: 'YuriyTymchuk 9/2/2014 18:58'!
baseline03: spec
	<version: '0.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'github://Uko/Vidi:master'.

		spec
			package: 'Vidi' with: [
				spec requires: #('Renraku' 'Roassal2' 'Roassal3D') ].
			
		
		spec project: 'Renraku' with: [
			spec 
				className: 'ConfigurationOfRenraku';
				repository: 'http://smalltalkhub.com/mc/YuriyTymchuk/Configuration/main';
				version: #development ].
		

		spec project: 'Roassal3D' with: [
			spec 
				className: 'ConfigurationOfRoassal3d';
				repository: 'http://smalltalkhub.com/mc/ronsaldo/roassal3d/main';
				version: #development ] .
		
		spec project: 'Roassal2' with: [
				spec
					className: 'ConfigurationOfRoassal2';
					version: #development;
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main' ] ].! !

!ConfigurationOfVidi methodsFor: 'symbolic versions' stamp: 'YuriyTymchuk 1/28/2015 15:25'!
development: spec
	<symbolicVersion: #development>
	
	spec for: #'common' version: '0.3.3-baseline'.
	
! !

!ConfigurationOfVidi methodsFor: 'accessing' stamp: 'YuriyTymchuk 6/6/2014 11:19'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfVidi methodsFor: 'as yet unclassified' stamp: 'YuriyTymchuk 9/22/2014 14:37'!
setGt

	#GTInspector  asClass registerToolsOn: Smalltalk tools.
	#GTPlayground asClass registerToolsOn: Smalltalk tools.
	
	((KMRepository default globalCategories flatCollect: [ :each |
		each allEntries keymaps ])
		select: [ :each |
			each shortcut beginsWith: $o command ]) do: #disable! !

!ConfigurationOfVidi methodsFor: 'as yet unclassified' stamp: 'YuriyTymchuk 6/6/2014 11:19'!
setInspector

	#GTInspector asClass registerToolsOn: Smalltalk tools. ! !

!ConfigurationOfVidi methodsFor: 'symbolic versions' stamp: 'YuriyTymchuk 11/25/2014 09:32'!
stable: spec
	<symbolicVersion: #stable>
	
	spec for: #'common' version: '0.2.4'.

! !

!ConfigurationOfVidi methodsFor: 'baselines' stamp: 'YuriyTymchuk 7/22/2014 14:26'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline')>

	spec for: #common do: [
		spec
			blessing: #release;
			repository: 'github://Uko/Vidi:v0.1';
			package: 'Vidi' with: 'Vidi-YuriyTymchuk.25' ]! !

!ConfigurationOfVidi methodsFor: 'as yet unclassified' stamp: 'YuriyTymchuk 8/28/2014 13:44'!
version021: spec
	<version: '0.2.1' imports: #('0.2-baseline')>

	spec for: #common do: [
		spec
			blessing: #release;
			repository: 'github://Uko/Vidi:v0.2.1';
			package: 'Vidi' with: 'Vidi-YuriyTymchuk.45';
			project: 'Renraku' with: '0.2.1' ]! !

!ConfigurationOfVidi methodsFor: 'as yet unclassified' stamp: 'YuriyTymchuk 9/17/2014 16:29'!
version022: spec
	<version: '0.2.2' imports: #('0.3-baseline')>

	spec for: #common do: [
		spec
			blessing: #release;
			repository: 'github://Uko/Vidi:v0.2.2';
			package: 'Vidi' with: 'Vidi-YuriyTymchuk.53';
			project: 'Renraku' with: '0.2.2' ]! !

!ConfigurationOfVidi methodsFor: 'as yet unclassified' stamp: 'YuriyTymchuk 10/27/2014 15:29'!
version023: spec
	<version: '0.2.3' imports: #('0.3.1-baseline')>

	spec for: #common do: [
		spec
			blessing: #release;
			repository: 'github://Uko/Vidi:v0.2.3';
			package: 'Vidi' with: 'Vidi-YuriyTymchuk.67';
			project: 'Renraku' with: '0.2.3' ]! !

!ConfigurationOfVidi methodsFor: 'as yet unclassified' stamp: 'YuriyTymchuk 11/24/2014 15:31'!
version024: spec
	<version: '0.2.4' imports: #('0.3.2-baseline')>

	spec for: #common do: [
		spec
			blessing: #release;
			repository: 'github://Uko/Vidi:v0.2.4';
			package: 'Vidi' with: 'Vidi-YuriyTymchuk.80';
			project: 'Renraku' with: '0.2.4' ]! !

!ConfigurationOfVidi methodsFor: 'baselines' stamp: 'YuriyTymchuk 7/22/2014 14:31'!
version02: spec
	<version: '0.2' imports: #('0.2-baseline')>

	spec for: #common do: [
		spec
			blessing: #release;
			repository: 'github://Uko/Vidi:v0.2';
			package: 'Vidi' with: 'Vidi-YuriyTymchuk.36';
			project: 'Renraku' with: '0.2' ]! !
